com.pdfunit.validators

## Class MultiDocumentSingleFieldJavaScriptValidator

- java.lang.Object
- - com.pdfunit.validators.MultiDocumentSingleFieldJavaScriptValidator

-     @DoNotObfuscate
      public final class MultiDocumentSingleFieldJavaScriptValidator
      extends java.lang.Object

  Validator with methods, belonging to JavaScript of one acrofield of a given PDF document.
  Since:
    2016.05
  Author:
    Carsten Siedentop, March 2016

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MultiDocumentSingleFieldJavaScriptValidator(MultiDocumentSingleFieldValidator backReference, java.util.Vector<SingleFieldValidator> fieldValidators)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MultiDocumentSingleFieldJavaScriptValidator` | `containing(java.lang.String expectedContent)` This method looks whether the JavaScript inside the each given PDF document contains the string, given by the parameter.
    `MultiDocumentSingleFieldValidator` | `hasField(java.lang.String expectedFieldName)` Verify that a field with the given name exists.
    `MultiDocumentSingleFieldJavaScriptValidator` | `withJavaScript()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiDocumentSingleFieldJavaScriptValidator

          protected MultiDocumentSingleFieldJavaScriptValidator(MultiDocumentSingleFieldValidator backReference,
                                                     java.util.Vector<SingleFieldValidator> fieldValidators)

  - ### Method Detail

    - #### containing

          @Guarded
          public MultiDocumentSingleFieldJavaScriptValidator containing(java.lang.String expectedContent)

      This method looks whether the JavaScript inside the each given PDF document contains the string, given by the parameter.

      The internal JavaScript and the expected string are always compared ignoring whitespaces.

    - #### hasField

          @Guarded
          public MultiDocumentSingleFieldValidator hasField(java.lang.String expectedFieldName)

      Verify that a field with the given name exists. When a field is found, it is kept statefully for further validations. Otherwise an exception is thrown.

    - #### withJavaScript

          public MultiDocumentSingleFieldJavaScriptValidator withJavaScript()

Copyright (C) PDFUnit.com. See here for license.